local b={}--bullet table
local cl={255,255,255,255}

function love.load()
end

function love.update(dt)
	for i,v in ipairs( b ) do
		if v.id==1 then
			v.x = v.x + v.speed * dt--bullet motion--
			
			if v.x >= 300 then
				table.remove( b , i )--remove bullet X from canvas and table..
			end
		end
	end
end

function love.draw()
	local colour={30,100,20}
	local p = love.graphics.print
	local c = love.graphics.setColor
	local r = love.graphics.rectangle
	
	for i,v in ipairs( b ) do
		c( cl )
		r('line',v.x,v.y,v.w,v.h)--create bullet!
	end
	
	
	c( colour )
	p("Press 'B' to fired! ",10,10)
end

function love.keypressed( key, unicode )
	if (key == "b")  then	
		table.insert( b , { x = 25 , y = 50 , w=10 , h=10 , speed =800 , id =1} )--create bullet attributes
	end
end